Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save
Class OldSaveService

    java.lang.Object
      org.apache.jmeter.save.OldSaveService

public final class OldSaveService
extends Object

This class saves/restores the original Avalon XML format (not used by default). This may be removed in a future release.

Method Summary
`static org.apache.avalon.framework.configuration.Configuration` | `getConfiguration(SampleResult result, SampleSaveConfiguration saveConfig)` This method determines the content of the result data that will be stored for the Avalon XML format.
`static SampleResult` | `getSampleResult(org.apache.avalon.framework.configuration.Configuration config)` Read sampleResult from Avalon XML file.
`static String` | `getSerializedSampleResult(SampleResult result, org.apache.avalon.framework.configuration.DefaultConfigurationSerializer slzr, SampleSaveConfiguration cfg)`
`static HashTree` | `loadSubTree(InputStream in)`
`static void` | `processSamples(String filename, Visualizer visualizer, ResultCollector rc)`
`static void` | `saveSubTree(HashTree subTree, OutputStream writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### saveSubTree

    public static void saveSubTree(HashTree subTree,
                                   OutputStream writer)
                            throws IOException

  Throws:
    `IOException`

### getSampleResult

    public static SampleResult getSampleResult(org.apache.avalon.framework.configuration.Configuration config)

  Read sampleResult from Avalon XML file.

  Parameters:
    `config` - Avalon configuration
  Returns:
    sample result

### getConfiguration

    public static org.apache.avalon.framework.configuration.Configuration getConfiguration(SampleResult result,
                                                                                           SampleSaveConfiguration saveConfig)

  This method determines the content of the result data that will be stored for the Avalon XML format.

  Parameters:
    `result` - the object containing all of the data that has been collected.
    `saveConfig` - the configuration giving the data items to be saved. N.B. It is rather out of date, as many fields are not saved. However it is probably not worth updating, as no-one should be using the format.

### loadSubTree

    public static HashTree loadSubTree(InputStream in)
                                throws IOException

  Throws:
    `IOException`

### processSamples

    public static void processSamples(String filename,
                                      Visualizer visualizer,
                                      ResultCollector rc)
                               throws SAXException,
                                      IOException,
                                      org.apache.avalon.framework.configuration.ConfigurationException

  Throws:
    `SAXException`
    `IOException`
    `org.apache.avalon.framework.configuration.ConfigurationException`

### getSerializedSampleResult

    public static String getSerializedSampleResult(SampleResult result,
                                                   org.apache.avalon.framework.configuration.DefaultConfigurationSerializer slzr,
                                                   SampleSaveConfiguration cfg)
                                            throws SAXException,
                                                   IOException,
                                                   org.apache.avalon.framework.configuration.ConfigurationException

  Throws:
    `SAXException`
    `IOException`
    `org.apache.avalon.framework.configuration.ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.